generate_optimized_palette(3)

NAME
generate_optimized_palette

SYNOPSIS
#include <allegro.h>

int generate_optimized_palette(BITMAP *bmp, PALETTE pal, const char rsvd[256]);

DESCRIPTION
Generates a 256 color palette suitable for making a reduced color version of the specified truecolor image. The rsvd parameter points to a table indicating which colors it is allowed to modify: zero for free colors which may be set to whatever the optimiser likes, negative values for reserved colors which cannot be used, and positive values for fixed palette entries that must not be changed, but can be used in the optimisation.

SEE ALSO
generate_332_palette(3), set_color_depth(3)